﻿namespace LocalOverride.Fiddler.Store
{
    class DirectoryPathValidator : IValidator
    {
        private readonly MappingEntry mappingEntry;
        private readonly ILocalFileAccess localFileAccess;

        public DirectoryPathValidator(MappingEntry mappingEntry, ILocalFileAccess localFileAccess)
        {
            this.mappingEntry = mappingEntry;
            this.localFileAccess = localFileAccess;
        }

        public ValidationResult Validate()
        {
            if (localFileAccess.IsValidDirectory(mappingEntry.LocalPath))
            {
                return ValidationResult.Valid;
            }
            else
            {
                return new ValidationResult(false, new ErrorNotification("LocalPath", "Invalid Directory Path"));
            }
        }
    }
}