using System;
using LocalOverride.Fiddler.Store;
using NUnit.Framework;

namespace LocalOverride.Tests
{
    [TestFixture]
    public class FileExtensionListTests
    {
        [Test]
        [ExpectedException(typeof(ArgumentException))]
        public void Add_Throws_InvalidArgumentException_WhenSpecialCharacters()
        {
            new FileExtensionList {"*"};
        }

        [Test]
        public void Add_Accepts_CharacterStrings()
        {
            new FileExtensionList { "abc" };
        }

        [Test]
        public void Add_Accepts_UppercaseCharacterStrings()
        {
            new FileExtensionList { "ABC" };
        }

        [Test]
        public void Add_Accepts_NumberExtensions()
        {
            new FileExtensionList { "123" };
        }
    }
}