﻿using System;
using LocalOverride.Fiddler.Store;
using LocalOverride.Fiddler.UI;
using NUnit.Framework;

namespace LocalOverride.Tests.UI
{
    [TestFixture]
    public class MappingEditPresenterFieldDefaultFile : MappingEditPresenterFieldTestBase
    {
        private const string DefaultValue = "index.html";
        private const string ValidValue = "index.html";

        protected override void SetupMappingWithValidValue(MappingEntry entry)
        {
            entry.DefaultFileName = ValidValue;
        }

        protected override void AssertViewFieldContainsDefaultValue(IMappingEditorView mappingEditorView)
        {
            Assert.AreEqual(DefaultValue, mappingEditorView.EditDefaultFileName);
        }

        protected override void SetupViewWithValidValue(IMappingEditorView view)
        {
            view.EditDefaultFileName = ValidValue;
        }

        protected override void AssertViewFieldContainsValidValue(IMappingEditorView mappingEditorView)
        {
            Assert.AreEqual(ValidValue, mappingEditorView.EditDefaultFileName);
        }

        [Test]
        public override void EditOverride_SetsEditFieldFromMapping()
        {
            base.EditOverride_SetsEditFieldFromMapping();
        }

        [Test]
        public override void SaveOverrideEdit_AddsEntryToStore_WhenNewOverride()
        {
            base.SaveOverrideEdit_AddsEntryToStore_WhenNewOverride();
        }

        [Test]
        public override void AddOverride_SetsDefaultValues()
        {
            base.AddOverride_SetsDefaultValues();
        }
    }
}