﻿using System;
using LocalOverride.Fiddler.Store;
using LocalOverride.Fiddler.UI;
using NUnit.Framework;

namespace LocalOverride.Tests.UI
{
    [TestFixture]
    public class MappingEditPresenterFieldDownloadLocalCopy : MappingEditPresenterFieldTestBase
    {
        private const bool ValidValue = true;

        protected override void SetupMappingWithValidValue(MappingEntry entry)
        {
            entry.DownloadLocalCopy = ValidValue;
        }

        protected override void AssertViewFieldContainsDefaultValue(IMappingEditorView mappingEditorView)
        {
            Assert.AreEqual(false, mappingEditorView.DownloadLocalCopy);
        }

        protected override void SetupViewWithValidValue(IMappingEditorView view)
        {
            view.DownloadLocalCopy = ValidValue;
        }

        protected override void AssertViewFieldContainsValidValue(IMappingEditorView mappingEditorView)
        {
            Assert.AreEqual(ValidValue, mappingEditorView.DownloadLocalCopy);
        }

        [Test]
        public override void EditOverride_SetsEditFieldFromMapping()
        {
            base.EditOverride_SetsEditFieldFromMapping();
        }

        [Test]
        public override void SaveOverrideEdit_AddsEntryToStore_WhenNewOverride()
        {
            base.SaveOverrideEdit_AddsEntryToStore_WhenNewOverride();
        }

        [Test]
        public override void AddOverride_SetsDefaultValues()
        {
            base.AddOverride_SetsDefaultValues();
        }
    }
}