﻿using LocalOverride.Fiddler.Store;
using LocalOverride.Fiddler.UI;
using NUnit.Framework;

namespace LocalOverride.Tests.UI
{
    [TestFixture]
    public class MappingEditPresenterFieldLocalPath : MappingEditPresenterFieldTestBase
    {
        private string DefaultValue = string.Empty;
        private const string ValidValue = @"c:\temp";

        protected override void SetupMappingWithValidValue(MappingEntry entry)
        {
            entry.LocalPath = ValidValue;
        }

        protected override void SetupViewWithValidValue(IMappingEditorView view)
        {
            view.EditLocalPath = ValidValue;
        }

        protected override void AssertViewFieldContainsDefaultValue(IMappingEditorView mappingEditorView)
        {
            Assert.AreEqual(DefaultValue, mappingEditorView.EditLocalPath);
        }

        protected override void AssertViewFieldContainsValidValue(IMappingEditorView mappingEditorView)
        {
            Assert.AreEqual(ValidValue, mappingEditorView.EditLocalPath);
        }

        [Test]
        public override void EditOverride_SetsEditFieldFromMapping()
        {
            base.EditOverride_SetsEditFieldFromMapping();
        }

        [Test]
        public override void SaveOverrideEdit_AddsEntryToStore_WhenNewOverride()
        {
            base.SaveOverrideEdit_AddsEntryToStore_WhenNewOverride();
        }

        [Test]
        public override void AddOverride_SetsDefaultValues()
        {
            base.AddOverride_SetsDefaultValues();
        }
    }
}